define({"0":{i:0.000840318598456451,u:"../Content/P4API/about.html",a:"How to use this guide This section provides  navigation tips and  information on typographical conventions, feedback options, and additional documentation. Navigation Use following controls to navigate the content in this manual: The arrow buttons   and   at the top of any page bring you to the next ...",t:"How to use this guide | P4API"},"1":{i:0.000840318598456451,u:"../Content/P4API/chapter.overview.html",a:"This section provides information on release compatibility, purpose, and architecture of the API. Release compatibility of the API The\n      Helix C/C++ API\n      is subject to change from release to release, and is not guaranteed to be\n      source-code compatible from one release to the next. ...",t:"Overview"},"2":{i:0.000840318598456451,u:"../Content/P4API/client.programming.compiling.html",a:"The following sections tell you how to build your application on the\n      target platform. To build p4api.cc, include clientapi.h, which\n      includes all the necessary header files for the sample client\n      application. Additional script libraries for Helix Core Extensions To learn about this ...",t:"Compiling and linking Helix server applications"},"3":{i:0.000840318598456451,u:"../Content/P4API/chapter.client.programming.html",a:"Application Programming This section provides information on application programming.",t:"Application Programming"},"4":{i:0.00155459873310944,u:"../Content/P4API/chapter.clientprogramming.jam.html",a:"Jam is a build tool, similar in its role to the more familiar\n       make. Jamfiles are to  jam as\n      makefiles are to  make. Jam is an Open Source project sponsored by\n      Perforce Software, Inc.. Jam\n      documentation, source code, and links to precompiled binaries are\n      available from ...",t:"Building with Jam"},"5":{i:0.000840318598456451,u:"../Content/P4API/client.programming.commands.html",a:"Helix server\n      applications interact with the versioning service by: Initializing a connection. Sending commands. Closing the connection. The Helix server does not maintain any kind of session identifier. The server\n      identifies the sender of commands by its combination of\n      Helix ...",t:"Sending commands to the versioning service"},"6":{i:0.000840318598456451,u:"../Content/P4API/client.programming.commands.settings.html",a:"To determine which server and depot are accessed and how files are\n      mapped, the standard classes in the API observe the\n      Helix server\n      settings on the user’s machine. Assuming the workstation is configured\n      correctly, your application does not need to provide logic that ...",t:"Helix server settings on the user’s machine"},"7":{i:0.000840318598456451,u:"../Content/P4API/client.programming.commands.connecting.html",a:"To connect to the Helix server for which the client computer is configured, your client\n      application must call the  client.Init()  method; for\n      example: \nclient.Init( \u0026e );\nif ( e.Test() )\n   {\n      printf(\"Failed to connect:\\n\" );\n      ErrorLog::Abort(); // Displays the error and exits\n ...",t:"Connecting to the server"},"8":{i:0.000840318598456451,u:"../Content/P4API/client.programming.commands.forms.html",a:"Helix server\n      client commands that collect a large amount of input from the user (such\n      as  p4 branch,  p4 change,\n       p4 label) use ASCII forms. To interact with your end\n      user, your client application program can display\n      Helix server\n      ASCII forms such as changelists, ...",t:"Displaying Helix server forms"},"9":{i:0.000840318598456451,u:"../Content/P4API/client.programming.commands.sending.html",a:"The following example illustrates how you set up arguments and execute\n      the  p4 fstat command on a file named\n       Jam.html. \nchar file[] = \"Jam.html\";\nchar *filep = \u0026file[0];\nclient.SetArgv( 1, \u0026filep );\nclient.Run( \"fstat\", \u0026ui ); For commands with more arguments, use an approach like the\n  ...",t:"Sending commands"},"10":{i:0.00107841197667411,u:"../Content/P4API/client.programming.commands.data.html",a:"Helix server can return tagged data (name-value\n      pairs) for some commands. The following sections tell you how to handle\n      tagged and untagged data. Tagged data The following example shows data returned in tagged format by\n       p4 -Ztag clients command. (The -Z flag specifies that\n      ...",t:"Processing data from the server"},"11":{i:0.000840318598456451,u:"../Content/P4API/client.programming.commands.disconnect.html",a:"Disconnecting from the server After your application has finished interacting with the Helix server, it must disconnect as illustrated below: \nclient.Final( \u0026e );\ne.Abort(); To ensure the application can exit successfully, make sure to call  ClientApi::Final()  before\n      calling the destructor.",t:"Disconnecting from the server"},"12":{i:0.000840318598456451,u:"../Content/P4API/client.programming.fileio.html",a:"The default client file I/O implementation returns a\n      FileSys object, which is described in\n      filesys.h. To intercept client workspace file I/O, replace\n      the FileSys *ClientUser::File()  method\n      by subclassing ClientUser. The following example illustrates how you can override\n     ...",t:"Performing file I/O"},"13":{i:0.000840318598456451,u:"../Content/P4API/client.programming.errors.html",a:"To encapsulate error handling in a maintainable way, subclass\n      ClientUser at least once for every command you want to run\n      and handle errors in the  HandleError() \n      method of the derived class. To best handle the formatting of error text, parse the error text,\n      looking for ...",t:"Handling errors"},"14":{i:0.000840318598456451,u:"../Content/P4API/client.programming.class.html",a:"Class overviews The following classes comprise the\n      Helix C/C++ API.\n      Public methods for these classes are documented in\n       Public Methods Reference .",t:"Class overviews"},"15":{i:0.0550480797348412,u:"../Content/P4API/chapter.clientprogramming.clientapi.html",a:"The ClientApi class represents a connection with the Helix server. Member functions in this class are used to establish and terminate the\n      connection with the server, establish the settings and protocols to use\n      while running commands, and run\n      Helix server\n      commands over the ...",t:"ClientApi - Helix server connections and commands"},"16":{i:0.00385741672499038,u:"../Content/P4API/chapter.clientprogramming.clientprogress.html",a:"The ClientProgress class introduced in 2012.2 provides a\n      means to report on the progress of running commands; you can customize\n      this behavior by subclassing ClientUser and\n      ClientProgress. In ClientUser, implement  ClientUser::CreateProgress() \n      and  ...",t:"ClientProgress - progress indicators for Helix server commands"},"17":{i:0.0309806179242386,u:"../Content/P4API/chapter.clientprogramming.clientuser.html",a:"The ClientUser class is used for all client-side input and\n      output. This class implements methods that return output from the server\n      to the user after a command is invoked, and gather input from the user\n      when needed. Member functions in this class are used to format and display ...",t:"ClientUser - I/O for Helix server commands"},"18":{i:0.0155259314257392,u:"../Content/P4API/chapter.clientprogramming.error.html",a:"Member functions in this class are used to store error messages, along\n      with information about generic type and severity, format error messages\n      into a form suitable for display to an end user, or marshal them into a\n      form suitable for transferring over a network. Error objects are ...",t:"Error - collect and report layered errors"},"19":{i:0.00330552680813842,u:"../Content/P4API/chapter.clientprogramming.errorlog.html",a:"ErrorLog - output error messages The ErrorLog class is used to report layered errors, either\n      by displaying error messages to stderr, or by redirecting\n      them to logfiles. On UNIX systems, error messages can also be directed to\n      the syslog daemon.",t:"ErrorLog - output error messages"},"20":{i:0.00651294582161053,u:"../Content/P4API/chapter.clientprogramming.filesys.html",a:"The FileSys class provides a platform-independent set of\n      methods used to create, read and write files to disk. You can intercept the file I/O and implement your own client workspace\n      file access routines by replacing FileSys *ClientUser::File()  in a\n      ClientUser subclass. Replacing ...",t:"FileSys - Helix server file I/O"},"21":{i:0.00517095410929343,u:"../Content/P4API/chapter.clientprogramming.ignore.html",a:"Ignore - support for rejecting files The Ignore class has two methods,  Ignore::Reject()  and  Ignore::RejectCheck() .\n      Both methods are used by applications to determine whether files destined\n      to be opened for add will be rejected due to matching an entry in an\n      ignore files.",t:"Ignore - support for rejecting files"},"22":{i:0.00219388895485197,u:"../Content/P4API/chapter.clientprogramming.keepalive.html",a:"KeepAlive - support for client-side disconnection The KeepAlive class has only one method,  KeepAlive::IsAlive() .\n      The method is used by applications to support client-side command\n      termination.",t:"KeepAlive - support for client-side disconnection"},"23":{i:0.01752318667604,u:"../Content/P4API/chapter.clientprogramming.mapapi.html",a:"The MapApi class allows a client application to duplicate\n      the logic used by the server when interpreting and combining view\n      mappings such as branch views, client views, and protections. Each MapApi object represents a single mapping that is\n      built by calling  MapApi::Insert()  to ...",t:"MapApi - logic for view mappings"},"24":{i:0.00599607448962936,u:"../Content/P4API/chapter.clientprogramming.options.html",a:"The Options class encapsulates functions useful for parsing\n      command line flags, and also provides a means of storing flag values. Sample code is provided to illustrate how  Options::GetValue()  and\n       Options::Parse()  work\n      together to parse command line options.",t:"Options - parse and store command line options"},"25":{i:0.0247733174625706,u:"../Content/P4API/chapter.clientprogramming.serverhelperapi.html",a:"The ServerHelperApi class is used to create personal\n      servers. This class is only necessary when initially creating a local\n      server; once it is created you can use the standard\n      ClientApi and ClientUser classes to operate\n      against the server.",t:"ServerHelperApi - helper methods for creating personal servers"},"26":{i:0.00398871247535791,u:"../Content/P4API/chapter.clientprogramming.signaler.html",a:"The Signaler class enables the API programmer to register\n      functions that are to be called when the client application receives an\n      interrupt signal. The Signaler class maintains a list of\n      registered functions and calls each one in turn. By default, after all of the registered ...",t:"Signaler - interrupt handling"},"27":{i:0.0283243591534823,u:"../Content/P4API/chapter.clientprogramming.strbuf.html",a:"The StrBuf class is the preferred general string\n      manipulation class. This class manages the memory associated with a\n      string, including allocating new memory or freeing old memory as\n      required. The StrBuf class is derived from the StrPtr\n      class, and makes heavy use of the buffer ...",t:"StrBuf - string manipulation"},"28":{i:0.0126135462416867,u:"../Content/P4API/chapter.clientprogramming.strdict.html",a:"The StrDict class provides a dictionary object of\n      StrPtr s with a simple Get/Put interface. This class\n      contains abstract methods and therefore cannot be instantiated, but its\n      subclasses adhere to the basic interface documented here. ClientApi is a descendant of StrDict; most\n      ...",t:"StrDict - field/value manipulation"},"29":{i:0.00217572040596043,u:"../Content/P4API/chapter.clientprogramming.strnum.html",a:"The StrNum class, derived from StrPtr, is\n      designed to hold a small string representing a number. Like a\n      StrBuf, it handles its own memory. Unlike a\n      StrBuf, it does not dynamically resize itself, and is\n      limited to 24 characters, meaning that the largest number that can be\n     ...",t:"StrNum - small numeric strings"},"30":{i:0.00934603247498865,u:"../Content/P4API/chapter.clientprogramming.strops.html",a:"StrOps - string operations StrOps is a memberless class containing static methods for\n      performing operations on strings.",t:"StrOps - string operations"},"31":{i:0.0113814824415486,u:"../Content/P4API/chapter.clientprogramming.strptr.html",a:"The StrPtr class is a very basic pointer/length pair used\n      to represent text. This class provides a number of methods for comparison and reporting,\n      but it is not in itself very useful for storing data; the\n      StrBuf child class is a more practical means of storing\n      data, as it ...",t:"StrPtr - text operations"},"32":{i:0.00903177720611313,u:"../Content/P4API/chapter.clientprogramming.strref.html",a:"The StrRef class is a simple pointer/length pair\n      representing a string. The StrRef class is is derived from\n      StrPtr and does not add a great deal of new functionality to\n      that class, with the exception of methods that make the pointer mutable\n      (and therefore usable), whereas a ...",t:"StrRef - refer to existing strings"},"33":{i:0.00155459873310944,u:"../Content/P4API/chapter.methods.html",a:"Public Methods Reference This section provides information on the available public methods.",t:"Public Methods Reference"},"34":{i:0.00119745866578294,u:"../Content/P4API/clientapi.html",a:"ClientApi methods This section lists the available ClientApi methods.",t:"ClientApi methods"},"35":{i:0.00106707521147722,u:"../Content/P4API/clientapi.defineclient.html",a:"Sets  P4CLIENT in the Windows registry and applies\n      the setting immediately. Notes To make the new  P4CLIENT setting apply to the next\n      command executed with  Run() ,  DefineClient()  sets\n      the value in the registry and then calls  SetClient() . Example The following code illustrates ...",t:"ClientApi::DefineClient( const char *, Error * )"},"36":{i:0.00106707521147722,u:"../Content/P4API/clientapi.definehost.html",a:"Sets  P4HOST in the Windows registry and applies the\n      setting immediately. Notes To make the new  P4HOST setting apply to the next\n      command executed with  Run() ,  DefineHost()  sets the\n      value in the registry and then calls  SetHost() . Example The following code illustrates how this ...",t:"ClientApi::DefineHost( const char *, Error * )"},"37":{i:0.00222221491936069,u:"../Content/P4API/clientapi.defineignorefile.html",a:"Sets  P4IGNORE in the Windows registry and applies\n      the setting immediately. Notes To make the new  P4IGNORE setting apply to the next\n      command executed with  Run() ,  DefineIgnoreFile() \n      sets the value in the registry and then calls  SetIgnoreFile() . See also ClientApi::GetIgnore() ...",t:"ClientApi::DefineIgnoreFile( const char *, Error * )"},"38":{i:0.00106707521147722,u:"../Content/P4API/clientapi.definepassword.html",a:"Sets  P4PASSWD in the Windows registry and applies\n      the setting immediately. Notes To make the new  P4PASSWD setting apply to the next\n      command executed with  Run() ,  DefinePassword() \n      sets the value in the registry and then calls  SetPassword() . DefinePassword() \n      does not ...",t:"ClientApi::DefinePassword( const char *, Error * )"},"39":{i:0.00106707521147722,u:"../Content/P4API/clientapi.defineport.html",a:"Sets  P4PORT in the Windows registry and applies the\n      setting immediately. Notes In order to make the new  P4PORT setting apply to the\n      next client connection opened with  Init() ,  DefinePort()  sets the\n      value in the registry and then calls  SetPort() . Example The following code ...",t:"ClientApi::DefinePort( const char *, Error * )"},"40":{i:0.00106707521147722,u:"../Content/P4API/clientapi.defineuser.html",a:"Sets  P4USER in the Windows registry and applies the\n      setting immediately. Notes To make the new  P4USER setting apply to the next\n      command executed with  Run() ,  DefineUser()  sets the\n      value in the registry and then calls  SetUser() . Example The following code illustrates how this ...",t:"ClientApi::DefineUser( const char *, Error * )"},"41":{i:0.00101243486997048,u:"../Content/P4API/clientapi.dropped.html",a:"Check if connection is no longer usable. Notes Dropped()  is usually\n      called after  Run() ; it then\n      checks whether the command completed successfully. If the  Init()  is only followed by\n      one  Run() , as in\n      p4api.cc, calling  Final()  and then checking\n      the Error is ...",t:"ClientApi::Dropped()"},"42":{i:0.0316799978888768,u:"../Content/P4API/clientapi.final.html",a:"Close connection and return error count. Notes Call this method after you are finished using the ClientApi\n      object to clean up the connection. Every call to  Init()  must eventually be\n      followed by exactly one call to  Final() . Example The following example is a slight modification of ...",t:"ClientApi::Final( Error * )"},"43":{i:0.00429108630111876,u:"../Content/P4API/clientapi.getclient.html",a:"Get current client setting. Notes The return value of  GetClient()  is a fixed\n      reference to this ClientApi object’s setting. Assigning the return value to a StrPtr results in a\n      StrPtr containing a Text() value that changes\n      if the ClientApi object’s client setting changes. Assigning ...",t:"ClientApi::GetClient()"},"44":{i:0.00117254415705937,u:"../Content/P4API/clientapi.getconfig.html",a:"Get current configuration file. Notes See  GetClient()  for\n      more about the StrPtr return value. If the  P4CONFIG has not been set,  GetConfig()  returns\n      “noconfig”. Example The following example demonstrates the usage of  GetConfig() . \nClientApi client;\n\nprintf( \"Current P4CONFIG is ...",t:"ClientApi::GetConfig()"},"45":{i:0.00101243486997048,u:"../Content/P4API/clientapi.getcwd.html",a:"Get current working directory. Notes See  GetClient()  for\n      more about the StrPtr return value. If the working directory has been set by a call to  SetCwd()  or  SetCwdNoReload() ,\n      subsequent calls to  GetCwd()  return that\n      setting regardless of the actual working directory. Example ...",t:"ClientApi::GetCwd()"},"46":{i:0.0018913514778065,u:"../Content/P4API/clientapi.gethost.html",a:"Get client hostname. Notes See  GetClient()  for\n      more about the StrPtr return value. In some instances,  GetHost()  is not valid\n      until after the network connection has been established with  Init() .  GetHost()  attempts to\n      pull its value from earlier  SetHost()  calls, then\n      ...",t:"ClientApi::GetHost()"},"47":{i:0.00207935889243009,u:"../Content/P4API/clientapi.getignore.html",a:"Notes If P4IGNORE is not set, no paths are ignored. See also ClientApi::DefineIgnoreFile() ClientApi::GetIgnoreFile() ClientApi::SetIgnoreFile() Example This example demonstrates the use of  GetIgnore() . \nif ( client-\u003eGetIgnore()-\u003eReject( *clientPath,\n                                      ...",t:"ClientApi::GetIgnore()"},"48":{i:0.00222221491936069,u:"../Content/P4API/clientapi.getignorefile.html",a:"Get the full path name of the ignore file used for the current\n      connection. Notes See  GetClient()  for\n      more about the StrPtr return value. If the  P4IGNORE is unset,  GetIgnoreFile() \n      returns an uninitialized StrPtr. See also ClientApi::DefineIgnoreFile() ClientApi::GetIgnore() ...",t:"ClientApi::GetIgnoreFile()"},"49":{i:0.00117254415705937,u:"../Content/P4API/clientapi.getos.html",a:"Get name of client operating system. Notes See  GetClient()  for\n      more about the StrPtr return value. GetOs()  returns one of\n      “UNIX”, “vms”, “NT”, “Mac”, or null. Example The following example demonstrates the usage of  GetOs() . \nClientApi client;\nprintf( \"Client OS is %s\\n\", ...",t:"ClientApi::GetOs()"},"50":{i:0.00106707521147722,u:"../Content/P4API/clientapi.getpassword.html",a:"Get password setting. Notes See  GetClient()  for\n      more about the StrPtr return value. This method returns the password currently set on the client, which may\n      or may not be the one set on the server for this user. The command\n      \" p4 passwd\" sets  P4PASSWD on the\n      client machine ...",t:"ClientApi::GetPassword()"},"51":{i:0.00117254415705937,u:"../Content/P4API/clientapi.getport.html",a:"Get current port setting. Notes See  GetClient()  for\n      more about the StrPtr return value. If the environment variable  P4PORT is unset,  GetPort()  sets the port\n      to the default value of perforce:1666. Example The following example demonstrates the usage of  GetPort() . \nClientApi ...",t:"ClientApi::GetPort()"},"52":{i:0.00106707521147722,u:"../Content/P4API/clientapi.getprotocol.html",a:"Get protocol information for this connection. Notes If the variable is unset, the return value is null. If there is a value,\n      it will be a number in most cases, but in the form of a\n      StrPtr rather than an int. Call  GetProtocol() \n      only after a call to  Run() ,\n      because protocol ...",t:"ClientApi::GetProtocol( const char * )"},"53":{i:0.000840318598456451,u:"../Content/P4API/clientapi.gettrans.html",a:"Gets an integer that represents  the charset. Example printf(“charset = %d\\n”, client.GetTrans()); Notes Returns an integer value based on the detected charset: none=0 utf8=1 iso8859-1=2 utf16-nobom=3 shiftjis=4 eucjp=5 winansi=6 winoem=7 macosroman=8 iso8859-15=9 iso8859-5=10 koi8-r=11 cp1251=12 ...",t:"ClientApi::GetTrans( )"},"54":{i:0.00117254415705937,u:"../Content/P4API/clientapi.getuser.html",a:"Get current user setting. Notes See  GetClient()  for\n      more about the StrPtr return value. Example The following example demonstrates the usage of  GetUser() . \nClientApi client;\nprintf( \"Your username is %s\\n\", client.GetUser().Text() ); Executing the preceding code as testuser produces the\n   ...",t:"ClientApi::GetUser()"},"55":{i:0.0735274485596047,u:"../Content/P4API/clientapi.init.html",a:"Establish a connection and prepare to run commands. Notes Init()  must be called to\n      establish a connection before any commands can be sent to the server.\n      Each call to  Init()  must\n      be followed by exactly one call to  Final() . If an error occurs during  Init() , it is most likely ...",t:"ClientApi::Init( Error * )"},"56":{i:0.0443813405620897,u:"../Content/P4API/clientapi.run.html",a:"Run a\n      Helix server\n      command and return when it completes. Notes The func argument to  Run()  is the\n      Helix server\n      command to run, (for instance, info or files).\n      Command arguments are not included and must be set separately with  StrDict::SetArgv() . Initialize the ...",t:"ClientApi::Run( const char *, ClientUser * )"},"57":{i:0.00338013665609441,u:"../Content/P4API/clientapi.setbreak.html",a:"Establish a callback that is called every 0.5 seconds during command\n      execution. Notes To establish the callback routine, you must call  SetBreak()  after  ClientApi::Init() . See also KeepAlive::IsAlive() Example The following example implements a custom  IsAlive()  that can be\n      called ...",t:"ClientApi::SetBreak( KeepAlive *breakCallback )"},"58":{i:0.00283908934536383,u:"../Content/P4API/clientapi.setclient.html",a:"Sets the client setting to be used for this connection. Notes SetClient()  does not\n      permanently set the  P4CLIENT value in the environment\n      or registry. The new setting applies only to commands executed by calling\n      this ClientApi object’s  Run()  method. Example The following example ...",t:"ClientApi::SetClient( const StrPtr * )"},"59":{i:0.000840318598456451,u:"../Content/P4API/clientapi.setclient_2.html",a:"Sets the client setting to be used for this connection. Notes SetClient()  does not\n      permanently set the  P4CLIENT value in the environment\n      or registry. The new setting applies only to commands executed by calling\n      this ClientApi object’s  Run()  method. Example The following example ...",t:"ClientApi::SetClient( const char * )"},"60":{i:0.00244255501360768,u:"../Content/P4API/clientapi.setcwd.html",a:"Sets the working directory to be used for this connection. Notes SetCwd()  does not\n      permanently set a new working directory in the client environment. The\n      new setting applies only to commands executed by calling this\n      ClientApi object’s  Run()  method. Example The following code ...",t:"ClientApi::SetCwd( const StrPtr * )"},"61":{i:0.000840318598456451,u:"../Content/P4API/clientapi.setcwd_2.html",a:"Sets the working directory to be used for this connection. Notes SetCwd()  does not\n      permanently set a new working directory in the client environment. The\n      new setting applies only to commands executed by calling this\n      ClientApi object’s  Run()  method. Example The following code ...",t:"ClientApi::SetCwd( const char * )"},"62":{i:0.00151239319052494,u:"../Content/P4API/clientapi.setcwdnoreload.html",a:"Sets the working directory to be used for this connection without\n      checking  P4CONFIG. Notes SetCwdNoReload() \n      does not permanently set a new working directory in the client\n      environment. The new setting applies only to commands executed by calling\n      this ClientApi object’s  ...",t:"ClientApi::SetCwdNoReload( const StrPtr * )"},"63":{i:0.000840318598456451,u:"../Content/P4API/clientapi.setcwdnoreload_2.html",a:"Sets the working directory to be used for this connection without\n      checking  P4CONFIG. Notes SetCwdNoReload() \n      does not permanently set a new working directory in the client\n      environment. The new setting applies only to commands executed by calling\n      this ClientApi object’s  ...",t:"ClientApi::SetCwdNoReload( const char * )"},"64":{i:0.00226983476072068,u:"../Content/P4API/clientapi.sethost.html",a:"Sets the hostname to be used for this connection. Notes SetHost()  does not\n      permanently change the host name of the client or set\n       P4HOST in the environment. The new setting applies\n      only to commands executed by calling this ClientApi object’s\n       Run()  method. Example The ...",t:"ClientApi::SetHost( const StrPtr * )"},"65":{i:0.000840318598456451,u:"../Content/P4API/clientapi.sethost_2.html",a:"Sets the hostname to be used for this connection. Notes SetHost()  does not\n      permanently change the host name of the client or set\n       P4HOST in the environment. The new setting applies\n      only to commands executed by calling this ClientApi object’s\n       Run()  method. Example The ...",t:"ClientApi::SetHost( const char * )"},"66":{i:0.00222221491936069,u:"../Content/P4API/clientapi.setignorefile.html",a:"Sets the full path name of the ignore file to be used for this\n      connection. Notes SetIgnoreFile() \n      does not permanently set the  P4IGNORE value in the\n      environment or registry. The new setting applies only to commands\n      executed by calling this ClientApi object’s  Run()  method. ...",t:"ClientApi::SetIgnoreFile( const StrPtr * )"},"67":{i:0.000840318598456451,u:"../Content/P4API/clientapi.setignorefile_2.html",a:"Sets the full path name of the ignore file to be used for this\n      connection. Notes SetIgnoreFile() \n      does not permanently set the  P4IGNORE value in the\n      environment or registry. The new setting applies only to commands\n      executed by calling this ClientApi object’s  Run()  method. ...",t:"ClientApi::SetIgnoreFile( const char * )"},"68":{i:0.0021375833891552,u:"../Content/P4API/clientapi.setpassword.html",a:"Sets the password to be used for this connection. Notes SetPassword()  does\n      not permanently change the  P4PASSWD value in the\n      environment, nor does it in any way change the password that has been set\n      on the server. The new setting applies only to authentication attempts\n      for ...",t:"ClientApi::SetPassword( const StrPtr * )"},"69":{i:0.000840318598456451,u:"../Content/P4API/clientapi.setpassword_2.html",a:"Sets the password to be used for this connection. Notes SetPassword()  does\n      not permanently change the  P4PASSWD value in the\n      environment, nor does it in any way change the password that has been set\n      on the server. The new setting applies only to authentication attempts\n      for ...",t:"ClientApi::SetPassword( const char * )"},"70":{i:0.00182117655240874,u:"../Content/P4API/clientapi.setport.html",a:"Sets the port to be used to open this connection. Notes SetPort()  does not\n      permanently change the  P4PORT value in the\n      environment. The new setting applies only to new connections established\n      by calling this ClientApi object’s  Init()  method. Example The following example ...",t:"ClientApi::SetPort( const StrPtr * )"},"71":{i:0.000840318598456451,u:"../Content/P4API/clientapi.setport_2.html",a:"Sets the port to be used to open this connection. Notes SetPort()  does not\n      permanently change the  P4PORT value in the\n      environment. The new setting applies only to new connections established\n      by calling this ClientApi object’s  Init()  method. Example The following example ...",t:"ClientApi::SetPort( const char * )"},});